<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    android:orientation="vertical">

    <com.yidian.bcommon.widget.CommonTopBarView
        android:id="@+id/bv_top_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:CommonTopBarView_action_text="@string/store_save_top"
        app:CommonTopBarView_title_text="@string/store_edit_title"
        app:layout_constraintTop_toTopOf="parent" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginStart="20dp"
        android:layout_marginEnd="20dp"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:minHeight="@dimen/dp60"
            android:orientation="horizontal">

            <TextView
                android:layout_width="90dp"
                android:layout_height="24dp"
                android:text="店名"
                android:textColor="#4D4C4D"
                android:textSize="16sp" />

            <EditText
                android:id="@+id/store_name"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@null"
                android:hint="请输入店名"
                android:maxLength="20"
                android:textColor="#333333"
                android:textSize="16sp"
                tools:text="们递单但是放你剪短发短发短发上次的速度v都是vv" />

            <ImageView
                android:id="@+id/iv_clear_name"
                android:layout_width="@dimen/dp24"
                android:layout_height="@dimen/dp24"
                android:layout_marginEnd="@dimen/dp10"
                android:src="@drawable/bcommon_icon_clear"
                android:visibility="gone" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="#f2f2f2" />

        <LinearLayout
            android:id="@+id/address_layout"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:orientation="horizontal">

            <TextView
                android:layout_width="90dp"
                android:layout_height="24dp"
                android:layout_gravity="center_vertical|start"
                android:text="地址"
                android:textColor="#4D4C4D"
                android:textSize="16sp" />

            <TextView
                android:id="@+id/store_address_edit"
                android:layout_width="180dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|start"
                android:ellipsize="end"
                android:hint="请选择地址"
                android:maxLines="2"
                android:textColor="#FF333333"
                android:textSize="16sp" />

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:background="@mipmap/edit_store_arrow" />
        </LinearLayout>


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="#f2f2f2" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:layout_width="90dp"
                android:layout_height="24dp"
                android:layout_gravity="center_vertical|start"
                android:text="联系电话"
                android:textColor="#4D4C4D"
                android:textSize="16sp" />

            <EditText
                android:id="@+id/store_phone_num"
                android:layout_width="0dp"
                android:layout_height="24dp"
                android:layout_gravity="center_vertical|start"
                android:layout_weight="1"
                android:background="@null"
                android:digits="0123456789-"
                android:hint="请输入联系电话"
                android:maxLength="12"
                android:textColor="#333333"
                android:textSize="16sp" />

            <ImageView
                android:id="@+id/iv_clear_phone"
                android:layout_width="@dimen/dp24"
                android:layout_height="@dimen/dp24"
                android:layout_marginEnd="@dimen/dp10"
                android:src="@drawable/bcommon_icon_clear"
                android:visibility="gone" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="#f2f2f2" />

    </LinearLayout>


</LinearLayout>